org.icefaces.ace.model.table

## Class SortCriteria

- java.lang.Object
- - org.icefaces.ace.model.table.SortCriteria

-     public class SortCriteria
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SortCriteria(javax.el.ValueExpression expression, boolean ascending)`
    `SortCriteria(javax.el.ValueExpression expression, boolean ascending, java.util.Comparator<java.lang.Object> comparator)`
    `SortCriteria(javax.el.ValueExpression expression, boolean ascending, java.util.Comparator<java.lang.Object> comparator, java.lang.String columnKey)`
    `SortCriteria(javax.el.ValueExpression expression, boolean ascending, java.lang.String columnKey)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Comparator<java.lang.Object>` | `getComparator()`
    `javax.el.ValueExpression` | `getExpression()`
    `java.lang.String` | `getPropertyName()`
    `boolean` | `isAscending()`
    `void` | `setAscending(boolean ascending)`
    `void` | `setComparator(java.util.Comparator<java.lang.Object> comparator)`
    `void` | `setExpression(javax.el.ValueExpression expression)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SortCriteria

          public SortCriteria(javax.el.ValueExpression expression,
                              boolean ascending)

    - #### SortCriteria

          public SortCriteria(javax.el.ValueExpression expression,
                              boolean ascending,
                              java.lang.String columnKey)

    - #### SortCriteria

          public SortCriteria(javax.el.ValueExpression expression,
                              boolean ascending,
                              java.util.Comparator<java.lang.Object> comparator)

    - #### SortCriteria

          public SortCriteria(javax.el.ValueExpression expression,
                              boolean ascending,
                              java.util.Comparator<java.lang.Object> comparator,
                              java.lang.String columnKey)

  - ### Method Detail

    - #### getPropertyName

          public java.lang.String getPropertyName()

    - #### isAscending

          public boolean isAscending()

    - #### setAscending

          public void setAscending(boolean ascending)

    - #### getExpression

          public javax.el.ValueExpression getExpression()

    - #### setExpression

          public void setExpression(javax.el.ValueExpression expression)

    - #### getComparator

          public java.util.Comparator<java.lang.Object> getComparator()

    - #### setComparator

          public void setComparator(java.util.Comparator<java.lang.Object> comparator)

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.